
#include "main.h"
 
/*GPIO_InitTypeDef GPIO_InitStructure;

void init(void) {
  GPIO_InitTypeDef GPIO_InitStructure;
  RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOA, ENABLE);

  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_4;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
  GPIO_Init(GPIOA, &GPIO_InitStructure);
}

int main (void) {
  init();

  while (1) {
    GPIOA->BSRR = GPIO_Pin_4;
    Delay(10000000L);
    GPIOA->BRR = GPIO_Pin_4;

    Delay(10000000L);
  }
}
*/
void Delay(uint32_t nCount) {
  while(nCount !=0) {
	  nCount--;
  }
}
 
int main(void)
{
	// Die Std. Peripherie nun Clocks, PLLs usw. einrichten
	SystemInit();
 
	// PORT D Peripherie aktivieren
	RCC->AHBENR |= RCC_AHBENR_GPIOAEN ;
	// PortPin als Ausgang configurieren
	GPIOA->MODER |= GPIO_MODER_MODER4_0;
	GPIOA->OTYPER |= GPIO_OTYPER_OT_4;
	GPIOA->OSPEEDR &= ~(GPIO_OSPEEDER_OSPEEDR4_0);
 
	while(1) {
		GPIOA->BSRR = GPIO_BSRR_BS_4; // LED On
		Delay(10000000L);
 
		GPIOA->BRR = GPIO_BRR_BR_4;  // LED Off
		Delay(10000000L);
	}
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  The assert_param macro is used for function's parameters check.
  * @param  expr: If expr is false, it calls assert_failed function which reports 
  *         the name of the source file and the source line number of the call 
  *         that failed. If expr is true, it returns no value.
  * @retval None
  */
  #define assert_param(expr) ((expr) ? (void)0 : assert_failed((uint8_t *)__FILE__, __LINE__))
/* Exported functions ------------------------------------------------------- */
  void assert_failed(uint8_t* file, uint32_t line);
#else
  #define assert_param(expr) ((void)0)
#endif
